Typescript (SDK)
import { Crevio } from "@crevio/sdk";
const crevio = new Crevio({
apiKey: process.env["CREVIO_API_KEY"] ?? "",
});
async function run() {
const result = await crevio.eventSources.list({});
console.log(result);
}
run();curl --request GET \
--url https://api.crevio.co/v1/event_sources \
--header 'Authorization: <api-key>'import requests
url = "https://api.crevio.co/v1/event_sources"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.crevio.co/v1/event_sources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "list",
"data": [
{
"id": "<string>",
"object": "<string>",
"vendor": "pipedream",
"vendor_trigger_id": "<string>",
"vendor_component_id": "<string>",
"event_name": "<string>",
"configured_props": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"qualified_event_name": "<string>"
}
],
"has_more": true,
"url": "<string>"
}{
"error": {
"type": "invalid_request_error",
"code": "bad_request",
"message": "The request was malformed or contained invalid parameters"
}
}{
"error": {
"type": "invalid_request_error",
"code": "authentication_required",
"message": "You did not provide an API key."
}
}{
"error": {
"type": "invalid_request_error",
"code": "forbidden",
"message": "You do not have permission to perform this action"
}
}{
"error": {
"type": "api_error",
"code": "internal_error",
"message": "An unexpected error occurred"
}
}Event sources
List event sources
Returns external event source registrations for the current account. Each source represents a deployed third-party trigger (e.g. a Gmail “new email” subscription) and emits as external.<event_name> when fired.
GET
/
event_sources
Typescript (SDK)
import { Crevio } from "@crevio/sdk";
const crevio = new Crevio({
apiKey: process.env["CREVIO_API_KEY"] ?? "",
});
async function run() {
const result = await crevio.eventSources.list({});
console.log(result);
}
run();Authorizations
API key in the format: Bearer {api_token}
Query Parameters
Filter by underlying integration vendor
Available options:
pipedream Cursor for pagination — the ID of the last item in the previous page
Items per page
Required range:
1 <= x <= 100Was this page helpful?
⌘I

